Name: icinga-kubernetes
Version: 0.3.0
Release: 1.fc41
Summary: Icinga for Kubernetes Monitoring Daemon

Group: Productivity/Databases/Daemons

License: AGPLv3+

URL: https://icinga.com
Source0: icinga-kubernetes-0.3.0.tgz
Source1: icinga-kubernetes-rpm.tgz

BuildRequires: gcc
BuildRequires: systemd-rpm-macros

Requires(pre): shadow-utils

%description
Icinga for Kubernetes is a set of components for monitoring and visualizing Kubernetes resources.
This package installs the Icinga for Kubernetes daemon, which uses the Kubernetes API to monitor the configuration and
status changes of Kubernetes resources synchronizing every change in a database.

%define debug_package %{nil}

%prep
%autosetup
cd '/%_topdir/BUILD/icinga-kubernetes-0.3.0-build'
cd 'icinga-kubernetes-0.3.0'
/usr/lib/rpm/rpmuncompress -x -v '%_topdir/SOURCES/icinga-kubernetes-rpm.tgz'
STATUS=$?
if [ $STATUS -ne 0 ]; then
exit $STATUS
fi
/usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .

%build
sed -i s@/usr/sbin@/usr/sbin@g %_topdir/SOURCES/icinga-kubernetes-rpm.tgz
go build -buildvcs=false -trimpath -o . ./cmd/...

%install
install -Dpm 0755 icinga-kubernetes %_topdir/BUILD/icinga-kubernetes-0.3.0-build/BUILDROOT/usr/sbin/icinga-kubernetes
install -dm 0750 %_topdir/BUILD/icinga-kubernetes-0.3.0-build/BUILDROOT/etc/icinga-kubernetes
install -pm 0640 config.example.yml %_topdir/BUILD/icinga-kubernetes-0.3.0-build/BUILDROOT/etc/icinga-kubernetes/config.yml
install -Dpm 0644 icinga-kubernetes.service %_topdir/BUILD/icinga-kubernetes-0.3.0-build/BUILDROOT/usr/lib/systemd/system/icinga-kubernetes.service
install -Dpm 0644 icinga-kubernetes@.service %_topdir/BUILD/icinga-kubernetes-0.3.0-build/BUILDROOT/usr/lib/systemd/system/icinga-kubernetes@.service
install -Dpm 0755 icinga-kubernetes-generator %_topdir/BUILD/icinga-kubernetes-0.3.0-build/BUILDROOT/usr/lib/systemd/system-generators/icinga-kubernetes-generator
install -Dpm 0644 conf/icinga-kubernetes %_topdir/BUILD/icinga-kubernetes-0.3.0-build/BUILDROOT/etc/default/icinga-kubernetes
install -pm 0644 conf/default.env %_topdir/BUILD/icinga-kubernetes-0.3.0-build/BUILDROOT/etc/icinga-kubernetes/default.env

install -dm 0755 %_topdir/BUILD/icinga-kubernetes-0.3.0-build/BUILDROOT/usr/share/icinga-kubernetes
cp -rv schema %_topdir/BUILD/icinga-kubernetes-0.3.0-build/BUILDROOT/usr/share/icinga-kubernetes/

%pre
getent passwd icinga-kubernetes >/dev/null || useradd -rU -d /etc/icinga-kubernetes -s /sbin/nologin icinga-kubernetes

%post

if [ $1 -eq 1 ] && [ -x "/usr/lib/systemd/systemd-update-helper" ]; then
/usr/lib/systemd/systemd-update-helper install-system-units icinga-kubernetes.service || :
fi

%preun

if [ $1 -eq 0 ] && [ -x "/usr/lib/systemd/systemd-update-helper" ]; then
/usr/lib/systemd/systemd-update-helper remove-system-units icinga-kubernetes.service || :
fi

%postun

if [ $1 -ge 1 ] && [ -x "/usr/lib/systemd/systemd-update-helper" ]; then
/usr/lib/systemd/systemd-update-helper mark-restart-system-units icinga-kubernetes.service || :
fi

%files
%doc README.md
%license LICENSE
/usr/sbin/icinga-kubernetes
/usr/lib/systemd/system/icinga-kubernetes.service
/usr/lib/systemd/system/icinga-kubernetes@.service
/usr/lib/systemd/system-generators/icinga-kubernetes-generator
/usr/share/icinga-kubernetes/schema

%attr(-, icinga-kubernetes, root) /etc/icinga-kubernetes
%attr(-, icinga-kubernetes, root) %config(noreplace) /etc/icinga-kubernetes/config.yml
%attr(-, icinga-kubernetes, root) %config(noreplace) /etc/default/icinga-kubernetes
%attr(-, icinga-kubernetes, root) %config(noreplace) /etc/icinga-kubernetes/default.env

%changelog
* Thu May 22 2025 Icinga GmbH <info@icinga.com> - 0.3.0-1.fc41
- Version 0.3.0-1

